CLEAR
LOCAL loProxy as MSSOAP.SoapClient

loProxy = CREATEOBJECT("MSSOAP.SoapClient")
loProxy.MsSoapInit("http://localhost/codeservice/codewebservice.asmx?WSDL")

? loProxy.HelloWorld("Rick")
? loProxy.GetServerTime()

RETURN


*? loProxy.ReturnXml("Rick")

*** Object Return
loCustomerXMLNodeList = loProxy.GetCustomer(1)
lcXML = loCustomerXMLNodeList.Item(0).parentnode.xml
_cliptext = lcXML

SET CLASSLIB TO wwXML Additive
SET PROCEDURE TO wwUtils Additive
loXML = CREATEOBJECT("wwXML")
loDOM = loXML.LoadXML(lcXML)


? "Customer Object Values:"
loRoot = loDOM.DocumentElement
loCustomer = CREATEOBJECT("Customer")
loCustomer.cCompany = loXML.XPathValueToFoxValue(loRoot,"cCompany")
loCustomer.cFirstName = loXML.XPathValueToFoxValue(loRoot,"cFirstName")

loCustomer.tEntered = loXML.XPathValueToFoxValue(loRoot,"tEntered","datetime")
loCustomer.lError = loXML.XPathValueToFoxValue(loRoot,"lError","boolean")

? loCustomer.cCompany
? loCustomer.tEntered
? loCustomer.lError

loCustomer.oAddress.cAddress = loXML.XPathValueToFoxValue(loRoot,"oAddress/cAddress")
loCustomer.oAddress.cPhone = loXML.XPathValueToFoxValue(loRoot,"oAddress/cPhone")

? loCustomer.oAddress.cAddress
? loCustomer.oAddress.cPhone


SET STEP ON 
*** DataSet Return
loAuthorDsXML = loProxy.GetAuthorData("")
IF loAuthorDsXml.Length > 0
  lcXML = loAuthorDsXML.item(0).parentNode.xml
  *ShowXML(lcXML)
ELSE
  ? "No data returned in dataset"
  return
ENDIF

CREATE CURSOR TAuthors (au_id c(12), au_lname c(20), au_fname c(20),;
                        phone c(20), ADdress M,State c(2),Zip c(8),;
                        contract L, pk I)
                        
loXMl = CREATEOBJECT("wwXML")
loXML.DataSetXMLToCursor(lcXML,"TAuthors","Authors")                      

BROWSE

RETURN


DEFINE CLASS Customer as Session

cLastName = ""
cFirstName = ""
cCompany = ""
tEntered = { : }
lError = .F.
cErrorMsg = ""
oAddress = null

FUNCTION Init
THIS.oAddress = CREATEOBJECT("Address")
RETURN

ENDDEFINE

FUNCTION GetProperty(lcXPathString,lcType,loNode)


DEFINE CLASS ADDRESS as Session

cAddress = ""
cPhone = ""
cEmail = ""

ENDDEFINE

