
#DEFINE DATAPATH "data\"
#DEFINE VFP8 .T.
#DEFINE DEBUGMODE .T.

*** HOME(2) doesn't work for some reason - access to registry not allowed.
#DEFINE VFPSAMPLEDATA "D:\Programs\vfp70\Samples\data\"


*** IMPORTANT: You have to set DATAFILEPATH below in order for the
**             server to find the data used for the example!!!
*SET PROCEDURE TO ASPBASE ADDITIVE

*** Logging must run the CreateLog method once in order to create
*** the custom log file
*** The following Web Connection classes are provided as compiled FXPs
SET PROCEDURE TO ASPTools Additive
SET PROCEDURE TO wwUtils additive
SET PROCEDURE TO wwEval Additive
SET CLASSLIB TO wwXML ADDITIVE
SET PROCEDURE TO wwAPI ADDITIVE

RETURN

*** THIS MUST POINT AT WHERE DATA DIRECTORY WITH A FULL PATH!!!
#DEFINE DATAFILEPATH "C:\wwapps\wc3\wwdemo\"

#DEFINE CR CHR(13)+CHR(10)
#DEFINE CRLF CHR(13) + CHR(10)

*************************************************************
DEFINE CLASS ASPTools AS Custom OLEPUBLIC
*************************************************************
***    Author: Rick Strahl
***            (c) West Wind Technologies, 1996
***   Contact: (541) 386-2087  / rstrahl@west-wind.com
***  Modified: 12/08/96
***  Function: Some example routines for implementing
***            a page counter and custom logging as
***            well as a very simple example on how to
***            send HTML back to embed inside an ASP page
*************************************************************

*** Custom Properties
cDataPath=DATAFILEPATH

cAppStartPath = ""
oScriptingContext = .NULL.

oVFPDebug = .NULL.

cTime = ""

lError = .f.
cErrorMsg = ""

nCounter = 0

*** Customer Properties
cCompany = ""
cInvNo = ""
cFromDate = ""
cToDate = ""

*** 0 - Default (usually HTML)   2 - XML
nOutputMode = 0

nCounter = 0


*** Stock Properties
*** Set Environment
************************************************************************
* aspTools :: Init
*********************************
***  Function: Set the server's environment. IMPORTANT!
************************************************************************
FUNCTION INIT

*** Make all required environment settings here
*** KEEP IT SIMPLE: Remember your object is created
***                 on EVERY ASP page hit!
SET RESOURCE OFF   && Best to compile into a CONFIG.FPW
SET EXCLUSIVE OFF
SET REPROCESS TO 2 SECONDS

SET CPDIALOG OFF
SET DELETED ON
SET EXACT OFF
SET SAFETY OFF


*** IMPORTANT: Figure out your DLL startup path
IF application.Startmode = 3 OR Application.StartMode = 5
	THIS.cAppStartPath = ADDBS(JUSTPATH(Application.ServerName))
ELSE
    THIS.cAppStartPath = SYS(5) + ADDBS(CURDIR())
ENDIF

*** If you access VFP data you probably will have to
*** use this path plus a relative path to get to it!
*** You can SET PATH here, or else always access data
*** with the explicit path
DO PATH WITH THIS.cAppStartpath
DO PATH WITH THIS.cAppStartPath + "DATA"

*oMTS  = CreateObject("MTxAS.AppServer.1")
*THIS.oScriptingContext = oMTS.GetObjectContext()

ENDFUNC

************************************************************************
* ASPBanner :: OnStartPage
*********************************
***  Function: OnStartPage event gets called by ASP when the object
***            loads onto a page
***    Assume:
***      Pass: loScriptingContext  -  ASP Context Object with refs
***                                   to all other ASP objects
***    Return: nothing
************************************************************************
FUNCTION OnStartPage(loScriptingContext as Object) as Void

*** Simply assign to local reference so we can access
*** ASP objects in our code
THIS.oScriptingContext = loScriptingContext
THIS.cErrorMsg = THIS.cErrorMsg + "Scripting Context ONSTARTPAGE called <br>"

ENDFUNC

************************************************************************
* aspTools :: IncCounter
*********************************
***  Function: Increments a counter in the registry.
***      Pass: lcCounter  -  Name of counter to increase
***            lnValue    -  (optional) Set the value of the counter
***    Return: Increased  Counter value  -  -1 on failure
************************************************************************
FUNCTION IncCounter(lcCounter as String, lnSetValue as Integer) as Integer
LOCAL lnValue

SET STEP ON 
lnSetValue=IIF(EMPTY(lnSetValue),0,lnSetValue)

IF !USED("WebCounters")
   IF !FILE(THIS.cAppStartPath + "WebCounters.dbf") 
        SELE 0
		CREATE table (THIS.cAppStartPath + "WEBCOUNTERS") ;
		(    NAME        C (20),;
		     COUNTER       I )
		 USE
   ENDIF
   USE (THIS.cAppStartPath + "WEBCOUNTERS") IN 0 ALIAS WebCounters
ENDIF

SELE WebCounters

LOCATE FOR UPPER(name) = UPPER(lcCounter)
IF !FOUND()
   INSERT INTO WEBCounters  VALUES (lcCounter,1)
   lnValue = 1
ELSE
   IF RLOCK()
      IF lnSetValue > 0 
         REPLACE Counter with lnSetValue
      ELSE
         IF lnSetValue < 0
            REPLACE Counter with 0
            DELETE
         ELSE
            REPLACE Counter with Counter + 1
         ENDIF
      ENDIF
      lnValue = Counter
      UNLOCK
   ELSE
      lnValue = 0
   ENDIF   
ENDIF

RETURN lnValue 
ENDFUNC

************************************************************************
* aspTools :: ShowCounters
*********************************
***  Function: Shows all counters and allows the counter to be deleted
***      Pass: lcCounter  -  Name of counter to increase
***            lnValue    -  (optional) Set the value of the counter
***                          -1 delete the counter.
***    Return: Increased  Counter value  -  -1 on failure
************************************************************************
FUNCTION ShowCounters() as String

IF !USED("WebCounters")
   IF !FILE(THIS.cAppStartPath + "WebCounters.dbf") 
        SELE 0
		CREATE table (THIS.cAppStartPath + "WEBCOUNTERS") ;
		(    NAME        C (20),;
		     Counter       I )
		 USE
   ENDIF
   USE (THIS.cAppStartPath + "WEBCOUNTERS") IN 0 ALIAS WebCounters
ENDIF

SELECT name as Counter_Name, Counter as hits ;
   FROM WebCounters ;
   order by 1 INTO CURSOR TQuery

*** Render the cursor as an HTML table
RETURN THIS.ShowCursor()

************************************************************************
* aspTools :: DeleteCounter
*********************************
***  Function: Deletes a counter by name
************************************************************************
Function DeleteCounter(lcCounterName as String) as Boolean

IF EMPTY(lcCounterName)
   RETURN .F.
ENDIF

DELETE FROM WebCounters where Name = lcCountername

RETURN .T.


************************************************************************
* aspTools :: GetUsername
*********************************
***  Function: returns the currently active username
************************************************************************
Function GetUserName(llForceToSystem as Boolean) as String

IF llForceToSystem
  DECLARE INTEGER RevertToSelf ;
      IN WIN32API
  RevertToSelf()
ENDIF      
  
DECLARE Integer GetUserName ;
   IN WIN32API AS GUserName ;
   STRING @nBuffer, ;
   INTEGER @nBufferSize

lcUserName=space(255)
lnLength=len(lcUserName)

lnError=GUserName(@lcUserName,@lnLength)
IF lnLength < 2
   RETURN ""
ENDIF   
RETURN SUBSTR(lcUsername,1,lnLength-1)

************************************************************************
* aspTools :: CustList
*********************************
***  Function: Retrieves a customer and returns an object ref to it
***      Pass: lcCustId   -  Customer ID (may not be Left padded)
***    Return: loCustomer -  Customer Object
************************************************************************
FUNCTION Custlist() as String

*** VFP Sample Data
lcDataPath = VFPSAMPLEDATA

lcWhere = ""
IF !EMPTY(THIS.cCompany)
   lcWhere = " AND Company = THIS.cCompany "
ENDIF
IF LEN(THIS.cInvNo) > 0 
   lcWhere = lcWhere + " AND orders.order_id = PADL('"  +THIS.cInvNo +   "',6) "
ENDIF

Select customer.company, customer.cust_id, orders.order_id,orders.order_date, Order_amt ;
   FROM (lcDataPath + "Orders"), (lcDataPath + "Customer") ;
   WHERE customer.cust_id = orders.cust_id &lcWhere ;
   ORDER BY company,order_date DESC ;
   INTO CURSOR TQuery

lcLastCustId = " "
lcOutput = ""
SCAN
lcOutput = lcOutput + ;
[<table border="0" width="570" class="bodytext" bgcolor="#EEEEEE">]
  IF lcLastCustId <> Tquery.Cust_id
  lcOutput = lcOutput + ;
  [<tr><td bgcolor="#000000" colspan="3" width="564"><font face="Arial" color="#FFFFFF"><strong>] + Trim(Tquery.Company) +[</strong></font></td></tr>]+CHR(13)+CHR(10)
  ENDIF
  lcLastCustId = Tquery.Cust_Id
  
  lcOutput = lcOutput + [<tr>]+;
  [<td align="center" width="179">] + Transform(TQuery.Order_date) + [</td>] + ;
  [<td align="center" width="198"><a href="Invoice.asp?Orderid=]+TQuery.Order_id+[">]+Tquery.Order_id+[</a> </td>]+;
  [<td align="Right" width="175">]+ Transform(order_amt) + [</td>]+;
  [</tr></table>] + CHR(13)+CHR(10)
ENDSCAN

USE IN TQuery   

RETURN lcOutput
ENDFUNC

************************************************************************
* aspDemos :: SQLExec
****************************************
***  Function:
***    Assume:
***      Pass:
***    Return:
************************************************************************
FUNCTION RUNSQL(lcCode as String) as String
lcCode = lcCode + " INTO CURSOR TQuery"
&lcCode
CURSORTOXML(ALIAS(),"lcXML",1,48,0)
RETURN lcXML
*  aspDemos :: SQLExec

************************************************************************
* aspTools :: XMLCustList
****************************************
***  Function: returns a list of customers as an XML string
***            that can be used to create a DataSet
************************************************************************
FUNCTION XMLCustList(lcCompany as String) as String

*** VFP Sample Data
lcDataPath = VFPSAMPLEDATA
this.cDataPath = lcDataPath

lcWhere = ""
IF !EMPTY(lcCompany)
   lcWhere = " WHERE Company = lcCompany "
ENDIF

SELECT company,contact,;
       PADR(TRIM(city) + ", " + Country,60) as location,;
       Phone,MaxOrdAmt as CreditLimit,cust_id ;
   FROM (lcDataPath + "Customer") ;
   &lcWhere ;
   ORDER BY company ;
   INTO CURSOR customers

lcXML = ""

CURSORTOXML(ALIAS(),"lcXML",1,32,0,"1")

RETURN lcXML

#IF VFP8 
************************************************************************
* aspTools :: XMLDataSet
****************************************
***  Function: Receives an XML based DataSet object and retrieves
***            string back into a cursor
************************************************************************
FUNCTION XMLDataSet(lcXML as String,lcCursor as String) as String

*** Must pre-create cursor if we want to get exact structure
*** from non Fox datasources
CREATE CURSOR Authors (au_id c(10), au_lname c(15), Contract L, PK I)

SET STEP ON

oXA = CREATEOBJECT("XMLAdapter")
oXA.LoadXml(lcXML)

*STRTOFILE(lcXML,"d:\temp\AuthorDataSet.xml")

oXA.Tables.Item(1).ToCursor(.T.,"Authors")

RETURN this.ShowCursor()
ENDFUNC
*  aspTools :: XMLDataSet

#ELSE
************************************************************************
* aspTools :: XMLDataSet
****************************************
***  Function: Receives an XML based DataSet object and retrieves
***            string back into a cursor
************************************************************************
FUNCTION XMLDataSet(lcXML as String,lcCursor as String) as String

oXML = CREATEOBJECT("wwXML")

*** Must pre-create cursor
CREATE CURSOR Temp (au_id c(10), au_lname c(15), Contract L, PK I)

oXML.DataSetXMLToCursor(lcXML,"temp","authors")

RETURN this.ShowCursor()
ENDFUNC
*  aspTools :: XMLDataSet
#ENDIF

************************************************************************
* aspTools :: COMDataSet
****************************************
***  Function: Receives an DataSet object and retrieves content
***            string back into a cursor
************************************************************************
*** NOTE YOU MUST PASS loDS as Variant NOT AS Object!!!
FUNCTION COMDataSet(loDs as Variant) as String
LOCAL lcOutput, loRow

lcOutput = ""
lnCount = loDS.Tables.Item(0).rows.Count
loRows = loDs.Tables.Item(0).Rows
FOR x = 1 TO loDS.Tables.Item(0).Rows.Count
   lcOutput = lcOutput + loRows.Item(x).Item(1) + "<hr>" + CRLF && Column 2
ENDFOR   

RETURN "VFP Output: (" + TRANSFORM(lnCount) + ")<p>"  + lcOutput
ENDFUNC
*  aspTools :: XMLDataSet

************************************************************************
* ASPTOOLS :: COMNetObject
****************************************
***  Function: Receives an object from .Net and returns the value
***            of the cName property. Note this just works.
************************************************************************
FUNCTION COMNetObject(loObject as Object) as String
RETURN loObject.cName
ENDFUNC





************************************************************************
* ASPTools :: HTMLCustList
*********************************
***  Function: Test Method that retrieves a customer list based on
***            a name passed.
***      Pass: lcCompany  -  Name of the company to look up
***    Return: HTML of the list
************************************************************************
FUNCTION HTMLCustList
LPARAMETERS lcName

lcName=IIF(type("lcName")="C",UPPER(lcName),"")
		
*** Run Query - Note I'm creating the Hotlink right in the query
***             to be able to use the ShowCursor method to display the
***             cursor with a single command!
SELECT [<A HREF="ASPObjects.ASP?CustNo=]+URLEncode(tt_cust.custno)+[">]+tt_cust.company+[</a>] as Company,;
	       careof as Contact, Phone ;
 FROM (THIS.cAppStartPath + "data\TT_CUST") ;
 WHERE UPPER(tt_cust.company)=TRIM(lcName) ;
 INTO CURSOR TQUERY ;
 ORDER BY company

*** Stolen from wwFoxisapi
RETURN THIS.ShowCursor()
ENDFUNC
* CustList
************************************************************************
* ASPTools :: HTMLCustList
*********************************
***  Function: Test Method that retrieves a customer list based on
***            a name passed.
***      Pass: lcCompany  -  Name of the company to look up
***    Return: HTML of the list
************************************************************************
FUNCTION XMLTTCustList(lcName as String) as String

lcName=IIF(type("lcName")="C",UPPER(lcName),"")
		
*** Run Query - Note I'm creating the Hotlink right in the query
***             to be able to use the ShowCursor method to display the
***             cursor with a single command!
SELECT custno,Company,CareOf,phone ;
 FROM (THIS.cAppStartPath + "data\TT_CUST") ;
 WHERE UPPER(tt_cust.company)=TRIM(lcName) ;
 INTO CURSOR TQUERY ;
 ORDER BY company

lcXML = ""
CURSORTOXML("TQuery","lcXML",1,48,0,"1")
RETURN lcXML
ENDFUNC
* CustList



************************************************************************
* ASPTools :: ReturnXML
*********************************
***  Function: Demonstrates how to use wwXML to dump cursor output
***            to XML and return to ASP page.
************************************************************************
FUNCTION ReturnXML

SET CLASSLIB TO wwXML ADDITIVE

Request = THIS.oScriptingContext.Request()
Response = THIS.oScriptingContext.Response()

lcCompany = UPPER(Request.Form("Company").item())
IF EMPTY(lcCompany)
   lcCompany = UPPER(Request.QueryString("Company").item())
ENDIF   

lcWhere = Request.QueryString("SQL").item()
IF !EMPTY(lcWhere)
   lcWhere = " AND  " + lcWhere   
ENDIF

SELECT * ;
   FROM TT_Cust ;
   WHERE UPPER(Company) = lcCompany  &lcWhere ;
   ORDER BY Company ;
   INTO CURSOR TQuery

loXML = CREATE("wwXML")

lcXML = loXML.CursorToXML("customers","customer")

RETURN lcXML
ENDFUNC

************************************************************************
* aspTools :: ReturnBinaryData
*********************************
***  Function: Demonstrates that returning binary data does not
***            work correctly. Binary data is send back in UniCode.
***    Assume: Neither Write(), returning data or BinaryWrite() work.
************************************************************************
FUNCTION ReturnBinaryData

Request = THIS.oScriptingContext.Request()
Response = THIS.oScriptingContext.Response()

lcCompany = UPPER(Request.Form("Company").item())
IF EMPTY(lcCompany)
   lcCompany = UPPER(Request.QueryString("Company").item())
ENDIF   

lcWhere = Request.QueryString("SQL").item()
IF !EMPTY(lcWhere)
   lcWhere = " AND  " + lcWhere   
ENDIF

lcFile = ADDBS(SYS(2023))  + SYS(2015)  
SELECT Company, CareOf, CustNo ;
   FROM TT_Cust ;
   WHERE UPPER(Company) = lcCompany  &lcWhere ;
   ORDER BY Company ;
   INTO DBF (lcFile)
   
USE
lcFileStr = FileToStr(ForceExt(lcFile,"dbf"))

*Response.Write( "TT_Cust as binary DBF<br>")
*Response.Write( "File Length: " + TRANSF(len(lcFileStr)))

ERASE (ForceExt(lcFile,"dbf"))

*** Write raw binary data with VFP directly into Response
*RESPONSE.BinaryWrite(CreateBinary(lcFileStr))

*** Return Binary data to ASP page
RETURN CreateBinary(lcFileStr)
ENDFUNC


************************************************************************
* asptools :: ASPObjects
*********************************
***  Function: Demonstrates how to use ASP objects inside of VFP
***    Return: string output
************************************************************************
FUNCTION ASPObjects() as Void

SET STEP ON 

IF ISNULL(THIS.oScriptingContext)
	oMTS  = CreateObject("MTxAS.AppServer.1")
	THIS.oScriptingContext = oMTS.GetObjectContext()
ENDIF
	
oContext = this.oScriptingContext

loRequest = oContext.item("Request")
loResponse = oContext.item("Response")
loSession = oContext.item("Session")

lcOutput=""
THIS.cErrorMsg=""

*** Query String
lcOutput = "<pre>QueryString (Method): " + loRequest.QueryString("Method").item()+"<br>"

*** Full QueryString
** lcOutput = lcOutput + "Full QueryString: " + loRequest.QueryString("").item() + "<BR>"

*** Server Variable
lcOutput = lcOutput + "Browser: " + loRequest.ServerVariables("HTTP_USER_AGENT").item() + "<BR>"

*** Form Variable
lcOutput = lcOutput + "Form Counter Value: " + loRequest.Form("txtCounterName").item() + "<BR>" 

*** Accessing and assigning Session Vars
lcOutput = lcOutput + "Session VFPCreatedSession: " 
IF !ISNULL(loSession.Value("VFPCreatedSession") )
   *** Show it if it exists
   lcOutput = lcOutput +  loSession.Value("VFPCreatedSession") + "<p>"
ELSE
   *** Otherwise set the session var
   loSession.Value("VFPCreatedSession") = "VFPCreatedSession Value " + TIME()
ENDIF

lcOutput = lcOutput + "</pre><h2>Query String</h2><pre>" 
loQueryString = loRequest.QueryString 
FOR EACH lcFormVar in loQueryString
   lcOutput = lcOutput + lcFormVar + "=" + ;
              loRequest.QueryString(lcFormVar).Item() + CRLF
ENDFOR   

lcOutput = lcOutput + "</pre><h2>Server variables</h2><pre>" + CRLF
loServerVars = loRequest.ServerVariables
FOR EACH lcFormVar in loServerVars
   IF lcFormVar="ALL_HTTP"
      LOOP
   ENDIF
   lcOutput = lcOutput + lcFormVar + "=" + ;
              loRequest.ServerVariables(lcFormVar).Item() + CR
ENDFOR   

*** Form Vars
lcOutput = lcOutput + "</pre><h2>Form Variables</h2><pre>" + CR
loFormVars = loRequest.Form 
FOR EACH lcFormVar in loFormVars
   lcOutput = lcOutput + lcFormVar + "=" + ;
              loRequest.Form(lcFormVar).Item() + CR
ENDFOR   

lcOutput = lcOutput + "</PRE>"

loResponse.Write(lcOutput + THIS.cErrorMSg)
RETURN



************************************************************************
* aspTools :: ReturnObject
*********************************
***  Function: Generic Object creation routine. 
***    Assume: ClassFactory Method
***      Pass: lcName   - Name of the object to create
***    Return: oObject  - Object reference or NULL
************************************************************************
FUNCTION ReturnObject(lcName as String) as Object
oObject = CREATEOBJECT(lcName)
IF VARTYPE(oObject) # "O"
   RETURN .NULL.
ENDIF
RETURN oObject

  

************************************************************************
* ASPTools :: GetDebugInstance
****************************************
***  Function: Allows debugging of the server
***            Pops up debugger on SET STEP or dialog on error
************************************************************************
FUNCTION GetDebugInstance as Object
LOCAL loObject

THIS.oVFPDebug = CREATEOBJECT("VisualFoxPro.Application.8")
THIS.oVFPDebug.Visible = .T.

*** Now setup the environment - this will be custom
*** for your particular server or object
*** you might create a generally accessible function
*** for this if more than one object are being debugged
THIS.oVFPDebug.DoCmd("cd " + THIS.cAppStartPath)
THIS.oVFPDebug.DoCmd("DO ASPTools")   && Load class libs

*** Have VFP create an instance of the object
loObject = THIS.oVFPDebug.Eval("CREATE('" + THIS.Class + "')")

#IF .F.
*** If you want the ASP scripting context
*** you have to create it here
oMTS  = CreateObject("MTxAS.AppServer.1")
this.oScriptingContext = oMTS.GetObjectContext()

*** and attach it to our new instance
loObject.oScriptingContext = this.oScriptingContext
#ENDIF

RETURN  loObject
ENDFUNC
*  ASPTools :: GetDebugInstance

************************************************************************
* ASPTools :: CloseDebugInstance
****************************************
***  Function: Shuts down the debug instance created with
***            GetDebugInstance
************************************************************************
FUNCTION CloseDebugInstance()

THIS.oVFPDebug.visible = .F.
THIS.oVFPDebug = 0

ENDFUNC
*  ASPTools :: CloseDebugInstance

FUNCTION ReturnComObject() as AspDemos.AspTools
o = CREATEOBJECT("AspDemos.AspTools")
RETURN o
ENDFUNC

************************************************************************
* ASPTools :: ShowCursor
*********************************
***  Function: Renders the current select cursor/table as HTML.
***      Pass: llNoOutput -  If .T. returns a string. Otherwise
***                          sends directly to output.
***    Return: "" or output if llNooutput = .t.
************************************************************************
PROTECTED FUNCTION ShowCursor
LPARAMETER llNoOutput
LOCAL lcOutput, lnFields, lcFieldname,x

lcOutput = ;
  [<TABLE BGCOLOR="#EEEEEE" Width="98%" ALIGN="CENTER"] + ;
  [ Border=1 style="font:normal normal 8pt Verdana">]+CR

IF EMPTY(ALIAS())
   RETURN ""
ENDIF
   
lnFields = AFIELDS(laFields)

*** Build the header first
lcOutput = lcOutput + "<tr>"
FOR x=1 to lnFields
   lcfieldname=Proper(STRTRAN(lafields[x,1],"_"," "))
   lcOutput = lcOutput + "<th BGCOLOR='LightBlue'>"+lcFieldName+"</th>"
ENDFOR
lcOutput = lcOutput + "</td></tr>"

SCAN
    lcOutput = lcOutput + [<TR valign="Top">]
	*** Just loop through fields and display
	FOR x=1 to lnFields
	         lcfieldtype=lafields[x,2]
             lcfieldname=lafields[x,1]
	         lvValue=EVAL(lcfieldname)
	         
	         DO CASE
	         CASE lcFieldType = "C"
	             IF EMPTY(lvValue)
	                lvValue = "&nbsp;"
	             ENDIF
	             lcOutput = lcOutput + "<TD>" + lvValue + "</TD>"
	         CASE lcFieldType = "M"
	             IF EMPTY(lvValue)
	                lvValue = "&nbsp;"
	             ENDIF
	             lcOutput = lcOutput + "<TD>" + STRTRAN(lvValue,CHR(13),"<BR>") + "</TD>"
	         CASE lcFieldType = "G"
	             LOOP    
	         OTHERWISE   
    	         lcOutput = lcOutput + "<TD>" + TRANSFORM(lvValue) + "</TD>"
    	     ENDCASE
	ENDFOR && x=1 to lnFieldCount

    lcOutput = lcOutput + "</TR>" + CR 
ENDSCAN

RETURN lcOutput + "</TABLE>" + CR

ENDFUNC
* wwResponse :: ShowCursor





************************************************************************
* aspTools :: Error
*********************************
***  Function: Error Method. Capture errors here in a string that
***            you can read from the ASP page to check for errors.
************************************************************************
PROTECTED FUNCTION ERROR
LPARAMETER nError, cMethod, nLine

THIS.cErrorMsg=THIS.cErrorMsg + "<BR>Error No: " + STR(nError) + "<BR>  Method: " + cMethod + "<BR>  LineNo: " +STR(nLine) + "<BR>  Message: "+ message() + Message(1) + "<HR>"
ENDFUNC



ENDDEFINE
*EOC aspTools


*************************************************************
DEFINE CLASS aspCustomer AS Session
*************************************************************
*  Sample class that demonstrates returning an object
*  over COM. The object is complex containing another 
*  embedded object (oData) which contains data loaded
*  into it.
*************************************************************

oData = null
cAppStartPath = ""

FUNCTION INIT

*** Make all required environment settings here
*** KEEP IT SIMPLE: Remember your object is created
SET REPROCESS TO 2 SECONDS

SET CPDIALOG OFF
SET DELETED ON
SET EXACT OFF
SET SAFETY OFF

*** IMPORTANT: Figure out your DLL startup path
THIS.cAppStartPath = ADDBS(JUSTPATH(Application.ServerName))

*** If you access VFP data you probably will have to
*** use this path plus a relative path to get to it!
*** You can SET PATH here, or else always access data
*** with the explicit path
DO PATH WITH THIS.cAppStartPath 
DO PATH WITH THIS.cAppStartPath + "Data\"

ENDFUNC

************************************************************************
* aspCustomer :: Load
****************************************
***  Function:
***    Assume:
***      Pass:
***    Return:
************************************************************************
FUNCTION Load(lcCustId as String) as Boolean

IF !USED("TT_Cust")         
   USE TT_CUST IN 0
ENDIF

SELE TT_Cust

SET STEP ON 
LOCATE FOR CustNo=PADL(lcCustId,8)
IF FOUND()
   SCATTER NAME THIS.oData MEMO
   RETURN .T.
ENDIF   

SCATTER NAME THIS.oData MEMO BLANK

RETURN .F.
ENDFUNC
* aspCustomer :: Load

************************************************************************
* aspCustomer :: Save
****************************************
***  Function:
***    Assume:
***      Pass:
***    Return:
************************************************************************
FUNCTION Save() as Boolean 

SET STEP ON 
IF VARTYPE(this.oData) # "O"
   RETURN .F.
ENDIF

IF !USED("TT_Cust")         
   USE TT_CUST IN 0
ENDIF

SELE TT_Cust
LOCATE FOR Custno = this.oData.Custno
IF !FOUND()
   RETURN .F.
ENDIF

GATHER NAME THIS.oData MEMO
FLUSH
x=0

ENDFUNC
*  aspCustomer :: Save

************************************************************************
* aspCustomer :: CustomerListXML
****************************************
***  Function:
***    Assume:
***      Pass:
***    Return:
************************************************************************
FUNCTION CustomerListXML()
LPARAMETERS lcCompany

IF EMPTY(lcCompany)
  lcCompany = ""
ENDIF

SELECT Company,CareOF, phone, custno ;
       FROM TT_CUST ;
   INTO CURSOR TQuery ORDER BY 1

lcXML = ""
CURSORTOXML(ALIAS(),"lcXML",1,48,0,"1")
RETURN lcXML
ENDFUNC

ENDDEFINE


