CLEAR
CLOSE DATA
? "Accessing .NET COM compoents"
?
DO WCONNECT

LOCAL oNet as DotNetCom.DotNetComPublisher

*** Makes sure COM objects release all resources
*** Without this you can't recompile the .NET DLL
*** without quitting VFP.
sys(2339,1)  

oNet = CREATEOBJECT("DotNetCom.DotNetComPublisher")

lcXML = oNet.GetAuthorDataXML("") 

*!*    SELECT 0
*!*    CREATE CURSOR AUTHORS(AU_ID c(14),;
*!*                          AU_LNAME C(20),;
*!*                          Phone c(30))


SET MULTILOCKS ON

*** Load the XML
LOCAL oXA as XMLAdapter
oXA = CREATEOBJECT("XMLAdapter")
oXA.LoadXML(lcXML)

oXA.Tables(1).ToCursor(.F.,"Authors")

select Authors

*** FAILS WITH ROW BUFFERING!!
*cursorsetprop('Buffering', 3)
cursorsetprop('Buffering', 5)
replace au_lname WITH "Strahl"

* Now put the changes into a diffgram.
lcXML = ""

if getfldstate(-1) <> replicate('1', fcount() + 1)
 with oXA
  .ReleaseXML(.T.)
  .Tables.Remove(-1)
  .AddTableSchema('Authors')
  .UTF8Encoded     = .T.  && Indicates International characters
  .IsDiffgram      = .T.  && Generate an XML DiffGram
  lcSchemaLocation = ''  && Our schema is inline
  llIsFile         = .F.  && Our XML is a stream
  llIncludeBefore  = .T.  && Include <diffgram:before> format
  llChangesOnly    = .T.  && Generate only changes we made
  .ToXML('lcXML', lcSchemaLocation, llIsFile, llIncludeBefore, ;
   llChangesOnly)
 endwith
 strtofile(lcXML,'test.txt')
 modify file test.txt
endif getfldstate(-1) <> replicate('1', fcount() + 1)
use


? oNet.UpdateAuthorDataXml(lcXML)

RETURN


*** and now create a cursor from the first table                      
*? oXA.Tables.item(1).ToCursor(.F.,"Authors")

CREATE CURSOR diffgramtest(f1 I, f2 c(10), f3 I)
INSERT into diffgramtest values(1,"1111",1)
INSERT into diffgramtest values(2,"2222",2)
SELECT diffgramtest 

*CURSORSETPROP("Buffering",3)

oXA = CREATEOBJECT("XMLAdapter")
oXA.IsDiffgram = .T.
oXA.AddTableSchema("DiffGramTest",.T.,"Test")

lcXML = ""
? oXA.ToXML("lcXML","",.F.)
ShowText(  lcXML )

RETURN

*** Simple method calls
? oNet.HelloWorld("Rick")
? oNet.AddNumbers(10,123.12)

RETURN

*** Retrieving objects from .NET
*loCustomer = oNet.ReturnCustomer()
loCustomer = oNet.GetCustomerObject("West Wind")
? "Customer Object Info:"
? loCustomer.Company
? loCustomer.Name

? loCustomer.oAddress.StreetAddress
? loCustomer.oAddress.Phone

*** Pass a VFP non COM object
*** to .NET
USE TT_CUST


loDS = oNet.GetAuthorData("Green")
? "Author Data XML:"
lcXML = loDs.GetXml()
? lcXML

? "Field data from first record:"
loRow = loDS.Tables.Item(0).Rows.Item(0)
? loRow.Item(0)
? loRow.Item(1)
? loRow.Item(2)

*** Update the record
loRow.Item(1) = TRIM(loRow.Item(1))  + "!"

? loRow.Item(1)

*** Write the data back to the server
? oNet.UpdateAuthorData(loDs)

SET CLASSLIB TO wwXML ADDi
SET PROCEDURE TO wwUtils ADDIT

CREATE CURSOR TAuthors (au_id c(12), au_lname c(20), au_fname c(20),;
                        phone c(20), ADdress M,State c(2),Zip c(8),;
                        contract L, pk I)

oXML = CREATEOBJECT("wwXML")
oXML.DataSetXMLtoCursor(lcXML,"TAuthors","Authors")

BROWSE

oNet = .F.
