*** This sample displays retrieving a DataSet from a Web Service
*** then turning it into VFP table(s).
CLOSE DATA
LOCAL oSoap as MSSOAP.SoapClient

lcXML = FILETOSTR("d:\temp\authorDataSet.xml")

*** Pre-create a cursor if you want an exact structure
*** Otherwise you get 'best guess' of structure for
*** tables that aren't VFP structured.
SELECT 0
CREATE CURSOR AUTHORS(AU_ID c(14),;
                      AU_LNAME C(20),;
                      Phone c(30))

*** Load the XML
LOCAL oXA as XMLAdapter
oXA = CREATEOBJECT("XMLAdapter")
oXA.LoadXML(lcXML)


*** and now create a cursor from the first table                      
? oXA.Tables.item(1).ToCursor(.t.,"Authors")
BROWSE

RETURN
