local loXMLAdapter as XMLAdapter, ;
 lcXML
set multilocks on
close databases all

* Get some data as XML

open database (_samples + 'Data\TestData')
select * from Customer where Cust_ID = 'ALFKI' into cursor _Temp
cursortoxml('_Temp', 'lcXML', 1, 0, 0, '1')
use
use in Customer

* Load the XML into an XMLAdapter and create a cursor from it.

loXMLAdapter = createobject('XMLAdapter')
loXMLAdapter.LoadXML(lcXML)
loXMLAdapter.Tables.Item(1).ToCursor(.F., 'Customers')

* Make any changes desired.

select Customers
*** FAILS WITH ROW BUFFERING!!
*cursorsetprop('Buffering', 3)
cursorsetprop('Buffering', 5)
replace Company with 'Test'

* Now put the changes into a diffgram.

if getfldstate(-1) <> replicate('1', fcount() + 1)
 with loXMLAdapter
  .ReleaseXML(.T.)
  .Tables.Remove(-1)
  .AddTableSchema('Customers')
  .UTF8Encoded     = .T.  && Indicates International characters
  .IsDiffgram      = .T.  && Generate an XML DiffGram
  lcSchemaLocation = ''  && Our schema is inline
  llIsFile         = .F.  && Our XML is a stream
  llIncludeBefore  = .T.  && Include <diffgram:before> format
  llChangesOnly    = .T.  && Generate only changes we made
  .ToXML('lcXML', lcSchemaLocation, llIsFile, llIncludeBefore, ;
   llChangesOnly)
 endwith
 strtofile(lcXML,'test.txt')
 modify file test.txt
endif getfldstate(-1) <> replicate('1', fcount() + 1)
use

